      program b
      real*8 x
      integer*2 ia(4)
      equivalence (ia(1),x)
      x=2447880.123456789d0
      open(1,file='b.dat',access="DIRECT",
     $       form="UNFORMATTED",recl=8)
      write(1,rec=1)ia
      close(1)
      end

